Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class ConfidenceInterval

    java.lang.Object
      org.statcato.statistics.inferential.ConfidenceInterval

Direct Known Subclasses:
  CI2PopMeanSigmaKnown, CI2PopMeanSigmaUnknown, CI2PopProp, CIMatchedPairs, CIOnePopMeanSigmaKnown, CIOnePopMeanSigmaUnknown, CIOnePopProp

    public abstract class ConfidenceInterval

extends java.lang.Object

Confidence interval class. This abstract class is the base class of all confidence interval objects. All classes extending the ConfidenceInterval class must implement the marginOfError and criticalValue methods.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary
`protected double` | `center`
`protected double` | `confidenceLevel`

Constructor Summary
`ConfidenceInterval()`

Method Summary
`abstract double` | `criticalValue()` Returns the critical value corresponding to the given confidence level.
`double` | `lowerLimit()` Returns the lower limit of the confidence interval.
`abstract double` | `marginOfError()` Returns the margin of error.
`java.lang.String` | `toString()` Returns a string representing the confidence interval (lower limit, upper limit).
`double` | `upperLimit()` Returns the upper limit of the confidence interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### center

    protected double center

### confidenceLevel

    protected double confidenceLevel

Constructor Detail

### ConfidenceInterval

    public ConfidenceInterval()

Method Detail

### marginOfError

    public abstract double marginOfError()

  Returns the margin of error.

  Returns:
    margin of error

### criticalValue

    public abstract double criticalValue()

  Returns the critical value corresponding to the given confidence level.

  Returns:
    critical value

### lowerLimit

    public double lowerLimit()

  Returns the lower limit of the confidence interval.

  Returns:
    lower limit

### upperLimit

    public double upperLimit()

  Returns the upper limit of the confidence interval.

  Returns:
    upper limit

### toString

    public java.lang.String toString()

  Returns a string representing the confidence interval (lower limit, upper limit).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD